actions: []
api_documentation: http://docs.ros.org/en/noetic/api/cob_obstacle_distance/html
authors: Marco Bezzon <fxm-mb@ipa.fhg.de>
brief: ''
bugtracker: ''
depends:
- catkin
- cob_control_msgs
- cob_srvs
- dynamic_reconfigure
- eigen_conversions
- fcl
- geometry_msgs
- interactive_markers
- joint_state_publisher
- kdl_conversions
- kdl_parser
- moveit_msgs
- robot_state_publisher
- roscpp
- roslib
- roslint
- rospy
- rviz
- sensor_msgs
- shape_msgs
- std_msgs
- tf
- tf_conversions
- urdf
- visualization_msgs
- xacro
depends_on:
- cob_bringup
- cob_control
description: The cob_obstacle_distance package calculates distances between both robot
  links and obstacles to be used for obstacle avoidance within cob_twist_controller
  framework.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__cob_control__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__cob_control__ubuntu_focal_amd64
has_changelog_rst: true
license: Apache 2.0
maintainer_status: maintained
maintainers: Felix Messmer <felixmessmer@gmail.com>
metapackages:
- cob_control
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__cob_obstacle_distance__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__cob_obstacle_distance__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__cob_obstacle_distance__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__cob_obstacle_distance__ubuntu_focal_arm64__binary
repo_name: cob_control
repo_url: ''
srvs: []
timestamp: 1682937404.3818462
url: ''
vcs: git
vcs_uri: https://github.com/ipa320/cob_control.git
vcs_version: melodic_release_candidate
